Developer Hub
Request Demo
Request Demo
Support
  1. Configuration
  • Getting Started
    • Introduction
  • API Reference
    • Admins
      • Bulk Admins Download API
    • Business Owners
      • Bulk Business Owners Download API
      • Bulk Business Owners Upload API
    • Configuration
      • Bulk Entity Finding Rules Download API
        POST
      • Bulk Custom Insights (Entity Rules) Download API
        POST
      • Bulk Filters Download API
        POST
      • Bulk Findings Download API
        POST
      • Get Branding Information
        GET
    • Employees
      • Bulk Employees Download API
      • Bulk Employees Upload API
    • Entitlements
      • Bulk Entitlements Download API
      • Bulk Entitlements Upload API
    • Entities
      • Bulk Entities Download API
      • Bulk Entities Upload API
      • Bulk Entities + Entity-Relations Zip Upload API
    • EntityInsights
      • Bulk Entity Insights Download API
    • EntityRelations
      • Bulk Entity Relations Download API
      • Bulk Entity Relations Upload API
    • EntityRBAC
      • Bulk Entity RBAC Download API
    • Integrations
      • Bulk Integrations Download API
    • Purposes
      • Bulk Purposes Download API
    • Relations
      • Bulk Relations Upload API
    • Requests
      • Bulk Requests Download API
    • Reviews
      • Bulk Reviews Download API
  • Relations
    • Bulk Employee Relations Upload API
      POST
    • Bulk Employee Relations Download API
      POST
  • Schemas
    • Schemas
      • AdminsDownloadURLRequest
      • BusinessOwnersDownloadURLRequest
      • EntitiesDownloadURLRequest
      • EntitiesUploadURLRequest
      • EntitlementDownloadURLRequest
      • EntitlementUploadURLRequest
      • EntityRelationsDownloadURLRequest
      • EntityRelationsUploadURLRequest
      • Error
      • FindingsDownloadURLRequest
      • UploadURLResponse
    • DownloadURLResponse
    • EmployeeRelationsDownloadURLRequest
    • ReviewDownloadURLRequest
    • RequestsDownloadURLRequest
    • EntitiesBulkUploadURLRequest
    • Logo
    • BrandingResponse
  1. Configuration

Bulk Custom Insights (Entity Rules) Download API

POST
https://balkanid.app/api/rest/v0/entity-rules/download-url

BalkanID Custom Insights (Entity Rules)#

In this section, we will explain the BalkanID Custom Insights format.

Sample Entity Rule#

IDentity_filternamedescriptionlabelcreated_atupdated_atcreated_byupdated_by
13323523{"key1": "value1", "key2": ["value2", "value3"], "key3": {"nestedKey": "nestedValue"}}Sample InsightThis is a sample description of the insightSample Label2024-10-23T10:00:00Z2024-10-23T11:00:00Zuser1user2
Column Definitions#
Column NameColumn Description
IDRequired - A unique identifier for the custom insight
entity_filterRequired - JSON filter used for computing the insight's entities
nameRequired - Name of the insight
descriptionOptional - Description of the insight
labelOptional - A label for the insight's entities
created_atRequired - Timestamp when the insight was created
updated_atRequired - Timestamp when the insight was last updated
created_byOptional - User who created the insight
updated_byOptional - User who last updated the insight

Download the CSV file via the pre-signed URL#

After retrieving the pre-signed URL in the previous step, all that remains is to download the CSV in BalkanID Entity Rules CSV format from the pre-signed URL.
To use the polling URL, first send an HTTP request with the method HEAD to the pollingUrl.
If the response status code is 404, the file is not ready, and you should retry this polling request after a delay.
If the response status code is 200, the file is ready, and you may proceed to download the CSV from the received url.

Request

Authorization
API Key
Add parameter in header
X-API-KEY-ID
Example:
X-API-KEY-ID: ********************
API Key
Add parameter in header
X-API-KEY-SECRET
Example:
X-API-KEY-SECRET: ********************
or
Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://balkanid.app/api/rest/v0/entity-rules/download-url' \
--header 'X-Api-Key-ID;' \
--header 'X-Api-Key-Secret;' \
--header 'X-API-KEY-ID: <api-key>' \
--header 'X-API-KEY-SECRET: <api-key>' \
--header 'Content-Type: application/json'

Responses

🟢200OK
application/json
download url response
Bodyapplication/json

Example
{
    "url": "string",
    "pollingUrl": "string"
}
⚪defaultServer Error
Modified at 2026-11-06 13:38:07
Previous
Bulk Entity Finding Rules Download API
Next
Bulk Filters Download API
Built with